When /^j'exécute list\-emails$/ do
  run_simple 'list-emails'
end

Then /^je ne dois pas avoir eu d'erreur$/ do
  assert_exit_status(0)
end

Then /^je dois voir comme erreur "(.*?)"$/ do |expected|
  assert_failing_with(expected)
end

Then /^la sortie doit-être vide$/ do
  expect(all_output).to be_empty
end

Then /^la sortie doit être:$/ do |expected|
  # add an extra line feed for nice scenario
  assert_exact_output(expected + "\n", all_stdout)
end
